.FormBox { margin: 15px 0; padding: 10px 15px; }
.FormRow { clear: both; padding-bottom: 7px; overflow: hidden; }
.FormLabelBox { float: left; width: 180px; padding: 5px 10px; text-align: right; margin-top: 0.6em; }
.FormLabelBox.ui-state-default { border-right: 0 none;  }
.FormLabelBox .ui-icon { float: right; }
.FormElementBox { margin-left: 200px; min-width: 300px; padding: 0.6em 1.5em 0.8em 0.8em; }

.FormField { font-size: 1.1em; }
.FormFieldText, .FormFieldPassword { padding: 0.3em 0.2em; width:100%; }
.FormFieldText.short { width: 100px; }
.FormFieldDate { padding: 0.3em 0.2em; margin-right: 0.5em; width: 6em;}
.FormFieldTextarea { padding: 0.4em; font-size: 1.1em; height: 80px; width:100%; }
.FormRowFile { padding: 0.4em; font-size: 1.1em; width:100%; overflow: hidden; }
.FormRowFile .FormElementBox, .FormRowFile .FormElementBox .FormFieldFileWrap { height: 100%; }
.FormFieldSubmit { margin:1em 0 0.5em 0.8em; position: relative; left: 200px; }
p.hint { margin-top: 5px; }
.descriptionInline + p.hint { display: inline; margin: 0; }
input.readonly { border: 2px solid transparent; }

.FormElementBox .ui-datepicker-trigger { top: 0.3em; position: relative; border:0 none; }
.FormElementBox select { width: 350px; }
#popup-container .FormElementBox select { width: 100%; }
.FormElementBox .FormElementBox { padding:0; }
/*.ui-select-menu { float: left; margin-right: 10px; }*/

ul.errors { clear: both; }
ul.serializedFieldsErrors { margin-left: 112px; }

#loginForm .FormLabelBox { width:11em; }
#loginForm .FormElementBox { margin-left: 12.5em; min-width: 200px; }
#loginForm .FormFieldSubmit { left:12.5em; }

/**
* Pole mapy (lokalizacja)
*/
.FormFieldMapSearch { width: 350px; }
/*.FormRowMap { min-width:900px; }*/

.FormFieldMap .mapControlls { position: relative; height: 32px; overflow: hidden; vertical-align: middle; padding: 4px 0; font-size:0.9em; }
.FormFieldMap .mapControlls a { float: left; }
.FormFieldMap .mapControlls .toggleMap { float:left; }
.FormFieldMap .mapControlls label { padding-left: 5px; }
.FormFieldMap .mapControlls .mapAllwaysVisibleBox { position: absolute; right: 0;}
.FormFieldMap .markerActions { float:left; }

.FormFieldMap .mapWrapBox { height: 300px; padding: 7px; }
.FormFieldMap .mapSearch { padding: 7px; margin-bottom: 5px; }
.FormFieldMap .mapBox { height: 100%; }

/**
* Pole trasy na mapie (lokalizacje)
*/
.FormFieldMapSearch { width: 350px; }
/*.FormRowMap { min-width:900px; }*/

.FormFieldMapPath { position: relative; }
.FormFieldMapPath .mapControlls { position: relative; height: 32px; overflow: hidden; vertical-align: middle; padding: 4px 0; font-size:0.9em; }
.FormFieldMapPath .mapControlls a { float: left; }
.FormFieldMapPath .mapControlls .toggleMap { float:left; }
.FormFieldMapPath .mapControlls label { padding-left: 5px; }
.FormFieldMapPath .mapControlls .mapAllwaysVisibleBox { position: absolute; right: 0;}
.FormFieldMapPath .markerActions { float:left; }

.FormRowMappath .FormLabelBox { border-bottom-left-radius: 0; border-bottom-right-radius: 0; }
.FormRowMappath .FormLabelBox span.ui-icon { transform: rotate(90deg); }
.FormRowMappath .FormElementBox { margin-left: 0; margin-top: 35px; padding: 0.6em 10px 0.8em 20px; border-top-left-radius: 0; }
.FormFieldMapPath { overflow: hidden; }
.FormFieldMapPath .mapWrapBox { height: auto; padding: 7px; }
.FormFieldMapPath .mapSearch { padding: 7px; margin-bottom: 5px; }
.FormFieldMapPath .mapBox { height: 100%; min-height: 400px; float: right; width: 100%; min-width: 455px; }
.FormFieldMapPath .pathData { overflow: hidden; overflow-y: scroll; }
.FormFieldMapPath .pathData .markerHtml { padding: 0 0 3px; clear: left; float: left; }
.FormFieldMapPath .pathData .markerHtml label { float: left; width: 135px; line-height: 16px; text-align: left; clear: left; font-size: 12px; font-weight: normal; }
.FormFieldMapPath .pathData .markerHtml input[type="text"] { width: 162px; height: 20px; padding: 0 8px; border: 1px solid #999; float: left; margin-right: 7px; font-size: 0.8em; clear: left; }
.FormFieldMapPath .pathData .markerHtml .removeLocation { display: block; float: left; width: 17px; height: 20px; position: relative; left: -24px; }
.FormFieldMapPath .pathData .markerHtml .removeLocation .ui-icon { left: 0; }
.FormFieldMapPath .pathData .markerHtml.selected input[type="text"] { color: #0000ff; font-weight: bold; }
.FormFieldMapPath .pathData .markerHtml.selected label { text-decoration: underline; }
.FormFieldMapPath .saveTags { position: absolute; bottom: 10px; right: 10px; display: block; }
.FormFieldMapPath .tagsFields { margin: 10px 0  0 10px; }
.FormFieldMapPath .tagsFields label { font-weight: bold; margin-top: 10px; }
.FormFieldMapPath .tagsFields input { display: block; width: 500px; height: 30px; margin-top: 5px; padding: 0 10px; }

/** Slider */
.FormFieldSlider { overflow:hidden; }
.FormFieldSlider .sliderValueField { float:left; padding: 0.3em 0.2em; width:70px; text-align:right; font-weight:bold; }
.FormFieldSlider .sliderRangeValueField { float:left; padding: 0.3em 0.2em; width:70px; text-align:left; font-weight:bold; border:0 none; }
.FormFieldSlider .sliderWrap { float:left; width:300px; overflow: visible; padding:5px 10px; }
.FormFieldSlider .sliderRangeSeparator { float:left; display:block; width:10px; text-align: center; line-height:1.8em; }


/** Grupy pól */
.GroupSection { overflow:hidden; }
.GroupSection legend.ui-widget-content {  background: transparent; border-width:0 0 1px 0; width:100%; padding:0.8em 0.5em 0.3em; font-size:1.4em; font-weight:normal; }
.GroupSectionFields { padding-top:1em; }

.GroupInline { clear: both; padding-bottom: 7px; overflow: hidden; }
.GroupInlineFields { margin-left: 0; overflow:hidden; }
.GroupInlineFields .FormRow { display: block; float:left; width:auto; clear: none; } 
.GroupInlineFields .FormLabelBox, .GroupInlineFields .FormElementBox { display: inline; width:auto; float:none; }
.GroupInlineFields .FormLabelBox { width:auto; padding-right: 2px; }
.GroupInlineFields .FormFieldText { width:auto; }
.GroupInlineFields .FormElementBox { margin-left: 0; padding-left: 2px; min-width: 0; }
.GroupInline .FormRow { padding-bottom: 3px; padding-top: 4px; }

/** Select **/
.FormFieldSelectTriggerJoinText { padding:0 0 0 0.5em; text-align:center; }
.FormFieldSelectAddTrigger { position:relative; top:0.2em; margin-left: 0.5em; }

/** Datetime **/
.FormElementBox select.DatetimeSelect { width:4.5em; }

/** Pozostałe elementy **/
.FormRowRadio .FormElementBox,
.FormRowCheckbox .FormElementBox { padding-top: 1em; padding-bottom: 1em; }
.FormRowRadio .FormElementBox label input { margin-right: 0.3em; }
.FormRowRadio .FormElementBox label { padding-right: 1em; }
.FormRowRadio .FormElementBox br { display:none; }

.GroupInlineFields .FormRowDatetime .FormElementBox, 
.GroupInlineFields .FormRowTime .FormElementBox { float: left; }
.GroupInlineFields .FormRowDatetime label, 
.GroupInlineFields .FormRowTime label { float: left; margin-top: 6px; }

/** Rezerwacja **/
.FormFieldReservation .selectedRange { padding-bottom:10px; }
.FormFieldReservation .selectedRange .from, .FormFieldReservation .selectedRange  .to { font-weight: bold; }

/** Cennik **/
.FormRowPricelist .FormLabelBox { display: none; }
.FormRowPricelist .FormElementBox { margin-left: 0; }

/** upload plików **/
.UploadedFilesList { overflow:hidden; padding:10px 0; }
.UploadedFilesList .ufl_file { padding:2px; border:1px solid #999; margin:0 7px 7px 0; float:left; position:relative; cursor: move; }
.disallowEditing .UploadedFilesList .ufl_file { cursor: default; }
.UploadedFilesList .ufl_file button.remove { position:absolute; right:4px; top:4px; height:22px; width:24px; }
.disallowEditing .uploadify { display: none; }

/** Grupa checkboxów **/
.FormRowMultiCheckbox .FormElementBox { overflow:hidden; }
.FormRowMultiCheckbox .FormElementBox label { display: block; float:left; width: 15em; padding-left: 1.5em; margin:0.2em; vertical-align: top;}
.FormRowMultiCheckbox .FormElementBox label input { margin-left: -1.2em; margin-right: 0.3em; margin-top: 0.2em; float: left; }
.FormRowMultiCheckbox .FormElementBox label .checkboxLabel {  }
.FormRowMultiCheckbox .FormElementBox label .checkboxLabel strong { display: inline-block; float: left; margin-top: 2px; }
.FormRowMultiCheckbox .FormElementBox label .checkboxLabel .text { width: 100%; clear: left; display: inline-block; font-size: 90%; margin-top: 5px; }
.FormRowMultiCheckbox .FormElementBox br { display: none; }
.FormRowMultiCheckbox .masterCheckbox { margin-left: 4px; position: relative; top: 3px; left: 0; }

/** SelectImage **/
.FormFieldImageSelectWrap { height: 545px; overflow: scroll; white-space: nowrap; }
.FormFieldImageSelectWrap .selectImagesWrap { height: 545px; }
.FormFieldImageSelectWrap .selectImagesWrap .selectImageBox {vertical-align: top; display: inline-block; height: 536px; margin: 0 5px; border: 1px solid #dadada; }
.FormFieldImageSelectWrap .selectImagesWrap img { display: block; clear: left; }
.FormFieldImageSelectWrap .selectImagesWrap input { padding: 10px 4px 10px 20px }
.FormFieldImageSelectWrap .selectImagesWrap span { width: 100%; display: inline-block; text-align: center; margin-top: 10px; }

/** SerializedData **/
.SerializedDataContainer .GroupTitleSection { position: relative; margin-bottom: 20px; margin-top: 40px; }
.SerializedDataContainer .GroupTitleSection .GroupSectionFields { position: absolute; top: -9px; right: 0; }
.SerializedDataContainer .serializedDataAddButton { margin: 5px 0 0 123px; }
.SerializedDataContainer .serializedDataFieldset { position: relative; }
.SerializedDataContainer .serializedDataFieldset .serializedDataDeleteButton { position: absolute; top: 9px; right: 9px; height: 31px; }
.SerializedDataContainer .serializedDataFieldset .FormRow { float: left; clear: left; width: 100%; }
.SerializedDataContainer .serializedDataFieldset .FormRowFile { font-size: 1em; padding: 4px 0 3px; }
.SerializedDataContainer .serializedDataFieldset .FormRowFile .FormFieldFileWrap { margin-left: 111px; }
.SerializedDataContainer .serializedDataFieldset .FormRowFile .FormFieldFileWrap .uploadify { height: 30px; position: relative; width: 120px; }
.SerializedDataContainer .serializedDataFieldset .FormLabelBox { width: 100px; text-align: left; display: inline-block; float: left; }
.SerializedDataContainer .serializedDataFieldset .FormElementBox { display: block; }
.SerializedDataContainer .serializedDataFieldset input,
.SerializedDataContainer .serializedDataFieldset textarea { width: 600px; border: 2px inset; }
.SerializedDataContainer .serializedDataFieldset input { padding: 0.3em 0.4em; }
.SerializedDataContainer .serializedDataFieldset input.short { width: 100px; }
.SerializedDataContainer .serializedDataFieldset input[type="checkbox"] { width: 14px; margin-top: 1px; }